# Class PRS_Product
extends PRS_ExpressionElement

PRS_Product is used to describe a single product to associate with a PRS_Expression.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_ExpressionElement
|
+--PRS_Product

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Product is used to describe a single product to associate with a PRS_Expression.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Order | string |
Description | string | The order of relevance of this product to an associated PRS_SolutionElement (which includes PRS_Reference, PRS_Problem or PRS_Resolution).
ProductName | string |
Description | string | The make and or model of the product.
Vendor | string |
Description | string | The vendor of the product.
Version | string |
Description | string | The version of the product.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods